---
title: "profileStartX"
subtitle: "Function in std::sketch"
excerpt: "Extract the provided 2-dimensional sketch's profile's origin's 'x' value."
layout: manual
---

Extract the provided 2-dimensional sketch's profile's origin's 'x' value.

```kcl
profileStartX(@profile: Sketch): number
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `profile` | [`Sketch`](/docs/kcl-std/types/std-types-Sketch) | Profile whose start is being used | Yes |

### Returns

[`number`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
sketch001 = startSketchOn(XY)
  |> startProfile(at = [5, 2])
  |> angledLine(angle = -26.6, length = 50)
  |> angledLine(angle = 90, length = 50)
  |> angledLine(angle = 30, endAbsoluteX = profileStartX(%))
```

![Rendered example of profileStartX 0](data:image/png;base64,[encoded data, 50940 characters])


